#### D.6.16.3 KSlinear

Procedure from library `kskernel.lib` (see kskernel_lib).

Usage:
  KSlinear(matrix M);
  computes matrix of linear terms of the kernel of the
  Kodaira-Spencer map. To be called after the procedure
  KSker(p,q)

Return:
  nothing; but replaces elements of the matrix KSkernel in the ring Ksring with their leading monomials
  w.r.t. the local ordering (ls)

Example:

    LIB "kskernel.lib";
    int p=6;
    int q=7;
    KSker(p,q);
    setring Kskernel::KSring;
    KSlinear(KSkernel);
    print(KSkernel);
    ==> 0,     0,     0,     0,     0,      2*T(1),
    ==> 0,     0,     0,     0,     0,      3*T(2),
    ==> 0,     0,     0,     0,     0,      4*T(3),
    ==> 0,     0,     0,     2*T(1),3*T(2), 9*T(4),
    ==> 0,     0,     0,     3*T(2),4*T(3), 10*T(5),
    ==> 2*T(1),3*T(2),4*T(3),9*T(4),10*T(5),16*T(6)

User manual for Singular version 4.4.1, 2025, generated by texi2html.